Bug 40391 - Bug in SoundStudio
Summary: Bug in SoundStudio
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: SoundStudio (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-13 12:28 UTC by Kingshuk Majumdar
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-13 12:28:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kingshuk Majumdar 2001-05-13 12:28:30 UTC
Description of Problem:
With SoundStudio  unable to load sound files or save sound files after
recording. Getting an
error in Tcl Script.   Stack Trace for error shows: 

************************************************************************************************
child process exited abnormally
    while executing
"exec $FILE(Sox) -V  -t .$SAMPLE(format) -$SAMPLE(style) -$SAMPLE(size)  -r
$SAMPLE(rate) -c $SAMPLE(chnl) $loadfile  -t .raw -$LOAD(style)
-$LOAD(size..."
    (procedure "Load" line 153)
    invoked from within
"Load"
    invoked from within
".menubar.file.menu invoke active"
    ("uplevel" body line 1)
    invoked from within
"uplevel #0 [list $w invoke active]"
    (procedure "tkMenuInvoke" line 47)
    invoked from within
"tkMenuInvoke .menubar.file.menu 1
"
    (command bound to event)
*****************************************************************************************************
How Reproducible:

Everytime.

Steps to Reproduce:
1. Open SoundStudio either from the menu or just by typing `studio' in the
command line
2.  Try to record something - now try to save the file. You should get the
error message. Same thing happens if you try to load a music file. 
3.  SoundStudio hangs

Actual Results:


Expected Results:


Additional Information:

Comment 1 Tim Powers 2001-05-14 15:01:15 UTC
Wow. I'm surprised you're the oonly person to report this. I just built
SoundStudio-1.0.5-1 and am going to push it to rawhide sometime later today. It
fixes this problem.

I'm resolving this as "rawhide".

Tim


Note You need to log in before you can comment on or make changes to this bug.